var img;

var nw,nh;
var delement;

var howmany = 800;

var circles;

var t,tInc;

function setup() {
  delement = select("#viz");
  nw = delement.size().width;
  nh = 400*nw/960;
  var canvas = createCanvas(nw, nh);
  canvas.parent('viz');
  background(255,255, 255);
  t=0;
  tInc=0.01;
  circles = new Array();
  for(var i = 0; i<howmany; i++){
    initNewCircle();
  }
}

function initNewCircle(){
  var c = new Object();
  c.r = Math.random()*nw;
  c.s = Math.random()*5 + 2;

  circles.push(c);
}

function draw() {
  background(0,0,0);
  t = t + tInc;

  noFill();
  stroke(255,0,0,50);

  for(var i = circles.length-1; i>=0; i--){
    var c = circles[i];
    c.r = c.r + c.s;
    push();
    translate(nw/2,nh/2);
    ellipse(0,0,c.r,c.r);
    pop();

    if(c.r>=nw){
      circles.splice(i,1);
      initNewCircle();
    }

  }
  
  image(img,0,0,img.width,img.height,0,0,width,height);
  
}

function windowResized() {
  nw = delement.size().width;
  nh = img.height*nw/img.width;
  resizeCanvas(nw, nh);
}

function preload(){
  
  img = loadImage('http://www.artisopensource.net/aos-sketches/Aos-viz3/assets/AOS-inverse-white.png');
  
  nw = 960;
  nh = img.height*nw/img.width;
  
}